gnutls_session_get_master_secret(3)

NAME
gnutls_session_get_master_secret - get the session's master secret value

SYNOPSIS
#include <gnutls/gnutls.h>

const void * gnutls_session_get_master_secret(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Return a pointer to the 48-byte master secret in the session. The pointer must not be modified or deallocated. If a master secret value has not yet been established, the output will be garbage; in particular, a NULL return value should not be expected. Consider using gnutls_prf() rather than extracting the master secret and use it to derive further data.

RETURN VALUE
pointer to master secret.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.